@echo off

REM =================== N-O-V-O-R ===================
REM    NOVOR: Real-time Peptide de Novo Sequencing   
REM =============== www.rapidnovor.org ==============
REM 
REM Please refer to the EULA files for licensing information.

if "%OS%"=="Windows_NT" @setlocal
if "%OS%"=="WINNT" @setlocal

if defined NOVOR_HOME set NOVOR_HOME=%NOVOR_HOME:"=%
if "%NOVOR_HOME%"=="" goto setDefaultNovorHome
goto setNovorJar

:setDefaultNovorHome
set NOVOR_HOME=%~dp0

:setNovorJar
set NOVOR_JAR=%NOVOR_HOME%..\novorUI.jar
if exist "%NOVOR_JAR%" goto checkJava
echo %NOVOR_JAR% not found.
goto end

:checkJava
set _JAVACMD=%JAVACMD%
if defined _JAVACMD set _JAVACMD=%_JAVACMD:"=%

if defined JAVA_HOME set JAVA_HOME=%JAVA_HOME:"=%
if "%JAVA_HOME%"=="" goto noJavaHome
if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
if "%_JAVACMD%"=="" set _JAVACMD=%JAVA_HOME%\bin\java.exe
goto detectJavaVer

:noJavaHome
if "%_JAVACMD%"=="" set _JAVACMD=java.exe

:detectJavaVer
"%_JAVACMD%" -d64 -version >nul 2>&1
if errorlevel 256 goto javaNotFound
if errorlevel 1 goto java32bit
set JVMOPT=-Xmx4g
goto buildParams

:java32bit
set JVMOPT=-Xmx1638m

:buildParams
set PARAMS=

:concatParams
set TMPSTR=%1
if defined TMPSTR set TMPSTR=%TMPSTR:"=%
if "%TMPSTR%"=="" goto runNovor
set PARAMS=%PARAMS% %1
shift
goto concatParams

:runNovor
cd ..\
"%_JAVACMD%" %JVMOPT% -jar "%NOVOR_JAR%" %PARAMS%
goto end

:javaNotFound
echo Novor is not able to detect Java. Please make sure JAVA_HOME or PATH environment variable is set correctly.
echo Or download and install Java from "http://www.oracle.com/technetwork/java/javase/downloads/".
echo Welcome to visit "http://cloud.rapidnovor.org/", no Java installation needed.

:end
if "%OS%"=="Windows_NT" @endlocal
if "%OS%"=="WINNT" @endlocal
